Bug 142734 - FILESAVE PPTX Content placeholders disappear in PP
Summary: FILESAVE PPTX Content placeholders disappear in PP
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Attila Bakos (NISZ)
URL:
Whiteboard:
Keywords: filter:pptx
Depends on:
Blocks: PPTX-Textbox
  Show dependency treegraph
 
Reported: 2021-06-09 13:11 UTC by NISZ LibreOffice Team
Modified: 2021-08-09 07:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from PowerPoint (35.98 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2021-06-09 13:11 UTC, NISZ LibreOffice Team
Details
The original file saved by Impress (40.53 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2021-06-09 13:12 UTC, NISZ LibreOffice Team
Details
Screenshot of the original and exported document side by side in Impress (77.37 KB, image/png)
2021-06-09 13:12 UTC, NISZ LibreOffice Team
Details
Screenshot of the original and exported document side by side in PowerPoint (68.76 KB, image/png)
2021-06-09 13:13 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-06-09 13:11:17 UTC
Created attachment 172735 [details]
Example file from PowerPoint

Attached example file was made in PP and the second slide contains a Contents placeholder with some table, chart, smartart, image, online image, video placeholders.
After saving the file and reopening it in Impress, the table etc placeholders seem to be preserved, but in PP they disappear.

Steps to reproduce:
    1. Open attached file
    2. Save as PPTX
    3. Reopen it in PowerPoint

Actual results:
Placeholders have disappeared.

Expected results:
Placeholders are visible.

LibreOffice details:
Version: 7.2.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: 31ed81ea71a20ec119805f66a42f99b3f80d2dc5
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: CL

In 7.1 and older after saving not even Impress showed these placeholders, so there is improvement.
Comment 1 NISZ LibreOffice Team 2021-06-09 13:12:20 UTC
Created attachment 172736 [details]
The original file saved by Impress
Comment 2 NISZ LibreOffice Team 2021-06-09 13:12:51 UTC
Created attachment 172737 [details]
Screenshot of the original and exported document side by side in Impress
Comment 3 NISZ LibreOffice Team 2021-06-09 13:13:13 UTC
Created attachment 172738 [details]
Screenshot of the original and exported document side by side in PowerPoint
Comment 4 Attila Bakos (NISZ) 2021-07-02 12:33:14 UTC
Fixed in https://gerrit.libreoffice.org/c/core/+/116828
Comment 5 NISZ LibreOffice Team 2021-08-09 07:49:15 UTC
Verified in:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: d1f1f546b212ecd651146addeb328806bb270d5f
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded